ViennaCL - The Vienna Computing Library: viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > > Class Template Reference

AMG preconditioner class, can be supplied to solve()-routines. More...

`#include <amg.hpp>`

## Public Member Functions
| amg_precond ()
| amg_precond (compressed_matrix< NumericT, AlignmentV > const &mat, amg_tag const &tag)
| The constructor. Builds data structures. More...
void | setup ()
| Start setup phase for this class and copy data structures. More...
template<typename VectorT >
void | apply (VectorT &vec) const
| Precondition Operation. More...
vcl_size_t | levels () const
| Returns the total number of multigrid levels in the hierarchy including the finest level. More...
vcl_size_t | size (vcl_size_t level) const
| Returns the problem/operator size at the respective multigrid level. More...
amg_tag const & | tag () const
| Returns the associated preconditioner tag containing the configuration for the multigrid preconditioner. More...

## Detailed Description

### template<typename NumericT, unsigned int AlignmentV>
class viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >

AMG preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 261 of file amg.hpp.

## Constructor & Destructor Documentation

template<typename NumericT , unsigned int AlignmentV>

viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::amg_precond | ( |  | ) |
| inline

Definition at line 269 of file amg.hpp.

template<typename NumericT , unsigned int AlignmentV>

viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::amg_precond | ( | compressed_matrix< NumericT, AlignmentV > const & | mat,
|  | amg_tag const & | tag
| ) |  |
| inline

The constructor. Builds data structures.

Parameters

  mat | System matrix
  tag | The AMG tag

Definition at line 276 of file amg.hpp.

## Member Function Documentation

template<typename NumericT , unsigned int AlignmentV>
template<typename VectorT >

void viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::apply | ( | VectorT & | vec | ) | const
| inline

Precondition Operation.

Parameters

  vec | The vector to which preconditioning is applied to

Definition at line 305 of file amg.hpp.

template<typename NumericT , unsigned int AlignmentV>

vcl_size_t viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::levels | ( |  | ) | const
| inline

Returns the total number of multigrid levels in the hierarchy including the finest level.

Definition at line 360 of file amg.hpp.

template<typename NumericT , unsigned int AlignmentV>

void viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::setup | ( |  | ) |
| inline

Start setup phase for this class and copy data structures.

Definition at line 287 of file amg.hpp.

template<typename NumericT , unsigned int AlignmentV>

vcl_size_t viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::size | ( | vcl_size_t | level | ) | const
| inline

Returns the problem/operator size at the respective multigrid level.

Parameters

  level | Index of the multigrid level. 0 is the finest level, levels() - 1 is the coarsest level.

Definition at line 367 of file amg.hpp.

template<typename NumericT , unsigned int AlignmentV>

amg_tag const& viennacl::linalg::amg_precond< compressed_matrix< NumericT, AlignmentV > >::tag | ( |  | ) | const
| inline

Returns the associated preconditioner tag containing the configuration for the multigrid preconditioner.

Definition at line 374 of file amg.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/amg.hpp